## mpfr4 4.1.0

=== debian/changelog ===
mpfr4 (4.1.0-3) unstable; urgency=medium

  * Update symbols file for other architectures.

 -- Matthias Klose <doko@debian.org>  Mon, 13 Jul 2020 19:39:00 +0200

mpfr4 (4.1.0-2) unstable; urgency=medium

  * Move texinfo to Build-Depends.
  * Update homepage URL. Closes: #922278

 -- Matthias Klose <doko@debian.org>  Mon, 13 Jul 2020 13:44:11 +0200

mpfr4 (4.1.0-1) unstable; urgency=medium

  * New upstream version.
  * Bump standards and debhelper versions.
  * Update symbols file.

 -- Matthias Klose <doko@debian.org>  Mon, 13 Jul 2020 12:03:55 +0200
