=== debian/control ===
Source: mpfr4
Section: math
Priority: optional
Build-Depends: debhelper (>= 10), libgmp-dev, autoconf-archive, texinfo
Build-Depends-Indep: texlive-latex-base
Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
Uploaders: Matthias Klose <doko@debian.org>
Homepage: https://www.mpfr.org/
Standards-Version: 4.5.0

Package: libmpfr6
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Breaks: libgmp3 (<< 4.1.4-3), libmpc3 (<< 1.1.0-1~), ${mpfr:Breaks}
Description: multiple precision floating-point computation
 MPFR provides a library for multiple-precision floating-point computation
 with correct rounding.  The computation is both efficient and has a
 well-defined semantics. It copies the good ideas from the
 ANSI/IEEE-754 standard for double-precision floating-point arithmetic
 (53-bit mantissa).

Package: libmpfr-dev
Section: libdevel
Architecture: any
Depends: libgmp-dev, libmpfr6 (= ${binary:Version}), ${misc:Depends}
Multi-Arch: same
Suggests: libmpfr-doc
Breaks: libgmp3-dev (<< 4.1.4-3)
Replaces: libgmp3-dev (<< 4.1.4-3)
Description: multiple precision floating-point computation developers tools
 This development package provides the header files and the symbolic
 links to allow compilation and linking of programs that use the libraries
 provided in the libmpfr4 package.
 .
 MPFR provides a library for multiple-precision floating-point computation
 with correct rounding.  The computation is both efficient and has a
 well-defined semantics. It copies the good ideas from the
 ANSI/IEEE-754 standard for double-precision floating-point arithmetic
 (53-bit mantissa).

Package: libmpfr-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: dpkg (>= 1.15.4) | install-info, ${misc:Depends}
Description: multiple precision floating-point computation documentation
 This package provides documentation for the multiple-precision floating-point
 computation library MPFR.
 .
 The documentation is available as html and PDF.
