## mpfr4 4.2.1

=== debian/changelog ===
mpfr4 (4.2.1-1build1) noble; urgency=high

  * No change rebuild for 64-bit time_t and frame pointers.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 18:13:27 +0200

mpfr4 (4.2.1-1) unstable; urgency=medium

  * New upstream version. Closes: #1036606.
  * d/rules: Call dh_dwz.
  * d/rules: Clean doc/mpfr.info. Closes: #1046055.

 -- Matthias Klose <doko@debian.org>  Mon, 28 Aug 2023 11:05:20 +0200
