## mpfr4 4.2.2

=== debian/changelog ===
mpfr4 (4.2.2-2) unstable; urgency=medium

  * No-change upload for IEEE long double on ppc64el.
  * Bump debhelper version.

 -- Matthias Klose <doko@debian.org>  Thu, 04 Sep 2025 15:41:46 +0200

mpfr4 (4.2.2-1) unstable; urgency=medium

  * New upstream release.
  * Bump debhelper and standards versions.

 -- Matthias Klose <doko@debian.org>  Tue, 25 Mar 2025 15:06:59 +0100
