=== debian/watch ===
version=3
http://www.mpfr.org/mpfr-current/   mpfr-(.+).tar.gz
